=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_COMPAT=4
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	#./bootstrap

	./configure --prefix=/usr \
		    --with-kerneldir \
		    --mandir=/usr/share/man
	touch configure-stamp

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

# Add here commands to compile the arch part of the package.
	$(MAKE)

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

# Add here commands to compile the indep part of the package.
#$(MAKE) doc

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: install-arch #install-indep
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i

# Add here commands to install the indep part of the package into
# debian/<package>-doc.
#INSTALLDOC#
#	$(MAKE) install-doc DESTDIR=$(CURDIR)/debian/tmp/ipmitool-doc
#	dh_movefiles -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -a
	dh_installdirs -a

# Add here commands to install the arch part of the package into 
# debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ipmitool

	# No need to have two copies of the license text in the package.
	$(RM) $(CURDIR)/debian/ipmitool/usr/share/doc/ipmitool/COPYING

	# Move upstream changelog to correct filename.
	mv $(CURDIR)/debian/ipmitool/usr/share/doc/ipmitool/ChangeLog \
	  $(CURDIR)/debian/ipmitool/usr/share/doc/ipmitool/changelog

	# Compress to avoid lintian warning.  Not sure why dh_compress
	# isn't fixing this.
	gzip -9 $(CURDIR)/debian/ipmitool/usr/share/doc/ipmitool/changelog

#	dh_movefiles -a
# Must not depend on anything. This is to be called by
# binary-arch/binary-multi
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_installinit --name ipmievd
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch #binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
