## ipmitool 1.8.15

=== debian/changelog ===
ipmitool (1.8.15-1ubuntu0.1) vivid; urgency=medium

  * debian/patches/memcpy_hpm_fix.patch: fix wrong memcpy boundary parameter in
    HpmFwupgActionUploadFirmware(). (LP: #1481780)
  * debian/patches/usb_interface_support.patch: add USB interface support.
    (LP: #1481780)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 10 Aug 2015 19:54:06 -0400

ipmitool (1.8.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Remove patches (including in upstream):
      - 120-Dell-13G.patch
      - 115-lib_declarations.patch
      - 097-source_typo.patch
    - Refresh patches:
      - 099_readme_typo
      - 101_fix_buf_overflow.patch
      - 112_fix_CVE-2011-4339.patch
  * debian/contol:
    - bump Standards-Version to 3.9.6 (no changes required).
    - Change Vcs-* to new cgit based repository viewer.
    - Add libfreeipmi-dev to Build-Depends to enable freeipmi interface.
  * debian/source/options:
    - Removed because xz is now standard compression.
  * debian/rules:
    - Remove oldstyle debhelper parts.
    - Add "--with autotools-dev".
  * debian/watch:
    - Add xz for searching upstream tarballs.
  * debian/copyright:
    - Add missing section for debian/*.
  * debian/ipmitool.postrm:
    - Escape the double quote around false.
  * debian/rules:
    - Add override_dh_systemd_enable to disable start after a fresh install.
  * Remove load of kernel modules via init scripts (Closes: #766418):
    - Remove debian/systemd/*.conf.
    - Empty REQMODULES at ipmitool.ipmievd.init.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 05 Jan 2015 14:42:49 +0100
