=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/quilt/quilt.make

#export DH_VERBOSE=1
export DH_OPTIONS

#
# Hardening
#
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with systemd,autotools-dev

override_dh_auto_install:
	dh_auto_install
	# No need to have two copies of the license text/changelog in the package.
	$(RM) $(CURDIR)/debian/ipmitool/usr/share/doc/ipmitool/COPYING
	$(RM) $(CURDIR)/debian/ipmitool/usr/share/doc/ipmitool/ChangeLog 
	
override_dh_installinit:
	dh_installinit --name ipmievd --error-handler=ipmievd_initd_failed

override_dh_systemd_enable:
	dh_systemd_enable --no-enable ipmievd.service

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-kerneldir --mandir=/usr/share/man
