=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|xz|tgz|zip|gz|bz2)$// \
http://sf.net/ipmitool/ipmitool-?_?([\d+\.]+|\d+)\.(tar.*|xz|tgz|zip|gz|bz2) debian uupdate
