## ipmitool 1.8.16

=== debian/changelog ===
ipmitool (1.8.16-3) unstable; urgency=medium

  * debian/rules:
    - Use of USB only on Linux architectures (Closes: #820007).
      Thanks to Steven Chamberlain <steven@pyro.eu.org>.
  * New debian/patches/0110-getpass-prototype.patch:
    - use necessary source dialect to ensure getpass() availability
      (Closes: #819340).
      Thanks to Steve Langasek <steve.langasek@ubuntu.com>.
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 13 Apr 2016 07:45:13 +0200

ipmitool (1.8.16-2) unstable; urgency=medium

  * New debian/patches/0001-Dialect_change.patch (Closes: #816491):
    - Change dialect from c99 to gnu99 to prevend segfaults
      on missing functions.
    - Add autoreconf and remove dh_autotools-dev to/from debian/rules
      and debian/control.
  * Correct Vcs-Git uri.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 13 Mar 2016 12:31:08 +0100

ipmitool (1.8.16-1) unstable; urgency=medium

  * New upstream release (Closes: #810827).
    - fix does not fall back to IPv4 for IPMI v2 / RMCP+ sessions 
      (Closes: #755479).
  * Refresh patches.
  * Add year 2016 to debian/copyright.
  * debian/control:
    - Bump Standards-Version to 3.9.7 (no changes required).
    - Change Vcs-* and homepage to secure uri.
    - Add [!hurd-i386] to libfreeipmi-dev because freeipmi
      isn't available at hurd-i386 (Closes: #815443).
  * debian/watch: Bump Version to 4 (no changes required).
  * New debian/patches/0105-typo.patch to fix some typos.
  * Renew debian/patches/0605-manpage_typo.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 23 Feb 2016 07:07:52 +0100
