=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: ipmitool
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
- autotools-dev,
  debhelper (>> 9),
+ dh-autoreconf,
  dh-systemd (>= 1.5),
  libncurses-dev,
- libfreeipmi-dev,
+ libfreeipmi-dev [!hurd-i386],
  libreadline-dev,
  libssl-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ipmitool.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/ipmitool.git
-Homepage: http://sourceforge.net/projects/ipmitool/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ipmitool.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ipmitool.git
+Homepage: https://sourceforge.net/projects/ipmitool/
 
 Package: ipmitool
 Architecture: any
