=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,22 @@
 #
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Platform-specific features
+DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+ifneq ($(DEB_HOST_ARCH_OS),linux)
+	# USB implementation is Linux-specific
+	extra_config_opts += --disable-intf-usb
+endif
+
+
 %:
-	dh $@ --with systemd,autotools-dev
+	dh $@ --with systemd,autoreconf
+
+override_dh_autoreconf:
+	touch NEWS
+	dh_autoreconf
+	$(RM) NEWS
 
 override_dh_auto_install:
 	dh_auto_install
@@ -26,4 +40,4 @@
 	dh_systemd_enable --no-enable ipmievd.service
 
 override_dh_auto_configure:
-	dh_auto_configure -- --prefix=/usr --with-kerneldir --mandir=/usr/share/man
+	dh_auto_configure -- --prefix=/usr --with-kerneldir --mandir=/usr/share/man $(extra_config_opts)
