## ipmitool 1.8.17

=== debian/changelog ===
ipmitool (1.8.17-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:04:31 +0000

ipmitool (1.8.17-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream applied patches:
    - 0001-Dialect_change.patch
    - 0105-typo.patch
    - 0605-manpage_typo.patch
    - 0610-readme_typo.patch
  * Refresh patches:
    - 0110-getpass-prototype.patch
    - 0500-fix_CVE-2011-4339.patch
  * New patch:
    - 0115-typo.patch
  * Remove override_dh_autoreconf from debian/rules, the NEWS file is now
    available from source.
  * debian/control:
    - Change Vcs-Git to cgit uri.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 15 May 2016 11:23:50 +0200
