=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libssl-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ipmitool.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ipmitool.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/ipmitool.git
 Homepage: https://sourceforge.net/projects/ipmitool/
 
 Package: ipmitool
