=== debian/rules ===
--- 
+++ 
@@ -22,17 +22,12 @@
 %:
 	dh $@ --with systemd,autoreconf
 
-override_dh_autoreconf:
-	touch NEWS
-	dh_autoreconf
-	$(RM) NEWS
-
 override_dh_auto_install:
 	dh_auto_install
 	# No need to have two copies of the license text/changelog in the package.
 	$(RM) $(CURDIR)/debian/ipmitool/usr/share/doc/ipmitool/COPYING
-	$(RM) $(CURDIR)/debian/ipmitool/usr/share/doc/ipmitool/ChangeLog 
-	
+	$(RM) $(CURDIR)/debian/ipmitool/usr/share/doc/ipmitool/ChangeLog
+
 override_dh_installinit:
 	dh_installinit --name ipmievd --error-handler=ipmievd_initd_failed
