## ipmitool 1.8.18

=== debian/changelog ===
ipmitool (1.8.18-10.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2020-5208: buffer overflows and potentially to remote code execution.
    Applied upstream patches:
    - CVE-2020-5208_1_Fix_buffer_overflow_vulnerabilities.patch
    - CVE-2020-5208_2-fru-Fix-buffer-overflow-in-ipmi_spd_print_fru.patch
    - CVE-2020-5208_3-session-Fix-buffer-overflow-in-ipmi_get_session_info.patch
    - CVE-2020-5208_4-channel-Fix-buffer-overflow.patch
    - CVE-2020-5208_5_lanp-Fix-buffer-overflows-in-get_lan_param_select.patch
    - CVE-2020-5208_6-fru-sdr-Fix-id_string-buffer-overflows.patch
    (Closes: #950761).

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Feb 2021 11:04:17 +0100

ipmitool (1.8.18-10) unstable; urgency=medium

  * Add "Restrictions: superficial" to debian/tests/control (Closes: #969834).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 14 Sep 2020 14:35:04 +0200

ipmitool (1.8.18-9) unstable; urgency=medium

  * New debian/patches/0005-gcc10.patch: Fix ftbfs with gcc-10
    (Closes: #957371).
  * Refresh debian/patches/0115-typo.patch.
  * Remove not longer used patches:
    - 0605-manpage_typo.patch
    - 0105-typo.patch
    - 0610-readme_typo.patch
    - 0001-Dialect_change.patch
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * Switch to debhelper-compat level 13.
  * debian/ipmitool.maintscript:
    - Fix syntax (Closes: #947384).

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 28 Jul 2020 18:20:20 +0200

ipmitool (1.8.18-8) unstable; urgency=medium

  * New debian/patches/0130-Correct_lanplus_segment_violation.patch:
    - Fix lanplus segment violation for truncated response (Closes: #945764).
  * Declare compliance with Debian Policy 4.4.1.2 (No changes needed).
  * Switch to debhelper-compat:
    - debian/control: change to debhelper-compat (=12).
    - remove debian/compat.
  * debian/control:
    - Add Rules-Requires-Root: no.
  * debian/copyright:
    - Add 2019 to debian/*.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 22 Dec 2019 20:55:43 +0100

ipmitool (1.8.18-7) unstable; urgency=medium

  * debian/watch: Use tags instead releases to fix the wrong format.
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Bump minimum debhelper version in debian/control to >= 12.
  * Declare compliance with Debian Policy 4.4.0 (No changes needed).
  * debian/control: Add missing Depend init_system_helpers to fix
      lintan warning missing-versioned-depends-on-init-system-helpers.
  * New debian/patches/0615-manpage_typo.patch: Fix typos in man pages.
  * Add DEP 8 smoketest (Closes: #903676).
      Thanks to "Dann Frazier" <dannf@debian.org>.
  * Remove not longer needed debian/ipmitool.ipmievd.default (Closes: #907832).
    - New debian/ipmitool.maintscript to remove /etc/default/ipmitool.
    - Add IPMIEVD_OPTIONS from /etc/default/ipmitool into
      debian/ipmitool.ipmievd.service.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 20 Jul 2019 10:59:12 +0200

ipmitool (1.8.18-6) unstable; urgency=medium

  * debian/changelog:
    - Remove trailing whitespaces.
  * debian/control:
    - Change to my new email address.
    - Switch Vcs-* to new location.
    - Switch homepage to github.
  * debian/copyright:
    - Use secure copyright format URI.
    - Change to my new email address.
    - Switch homepage to github.
    - Add year 2018 for debian/*.
  * debian/rules:
    - Replace outdated dh_systemd_enable with dh_installsystemd.
  * debian/watch:
    - Switch to github.
  * Declare compliance with Debian Policy 4.1.5:
    - Switch from enable ipmievd daemon via /etc/default/ipmievd to use
      update-rc.d.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * New debian/patches/0125-nvidia-iana.patch:
    - Add IANA ID for NVIDIA hardware (Closes: #903616).
  * I disagree to the upload of the release 1.8.18-5 as a team upload.
    That was a NMU.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 05 Aug 2018 12:20:50 +0200

ipmitool (1.8.18-5) unstable; urgency=medium

  * Team upload.
  * Use dh_systemd_enable --name to install ipmitool.ipmievd.service.
    (closes: #879063)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Nov 2017 07:58:01 +0100

ipmitool (1.8.18-4) unstable; urgency=medium

  * Migrate to OpenSSL1.1 (Closes_# 853782):
    - New debian/patches/0120-openssl1.1.patch:
      + Cherry-picked from upstream.
    - debian/control:
      + Switch Build-Depends from libssl1.0-dev to
        libssl-dev to build against OpenSSL 1.1.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).
  * Refresh debian/patches/0115-typo.patch.
  * debian/rules:
    - Enable dummy interface.
  * New README.source to explain the branching model used.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 13 Aug 2017 10:56:16 +0200

ipmitool (1.8.18-3) unstable; urgency=medium

  * debian/rules:
    - Fix enablement of usb interface (Closes: #849349).
      Thanks to Steve Langasek <steve.langasek@canonical.com>.
  * Drop both dh-autoreconf/dh-systemd from both build-depends
    and dh --with arguments because this is all defaults when
    using dh compat 10.
  * debian/copyright:
    Add year 2017 to debian/*.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 03 Jan 2017 07:07:30 +0100

ipmitool (1.8.18-2) unstable; urgency=medium

  * debian/control:
    - Switch Build-Depeds from libssl-dev to libssl1.0-dev.
      We can't yet use libssl 1.1.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 18 Nov 2016 10:50:13 +0100

ipmitool (1.8.18-1) unstable; urgency=medium

  * New upstream release:
    - Fix for lan print does not report ipv6 addresses (Closes: #837164).
  * Refresh patches:
    - 0115-typo.patch
    - 0500-fix_CVE-2011-4339.patch
  * Bump compat to 10:
    - Change debian/compat to 10.
    - Change debhelper version at debian/control to >= 10.
  * debian/control:

