=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: ipmitool
 Section: utils
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>> 9),
- dh-autoreconf,
- dh-systemd (>= 1.5),
+ debhelper-compat (= 13),
+ init-system-helpers (>= 1.58),
  libncurses-dev,
  libfreeipmi-dev [!hurd-i386],
  libreadline-dev,
  libssl-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ipmitool.git
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/ipmitool.git
-Homepage: https://sourceforge.net/projects/ipmitool/
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: git://jff.email/opt/git/ipmitool.git
+Vcs-Browser: https://jff.email/cgit/ipmitool.git
+Homepage: https://github.com/ipmitool/ipmitool
 
 Package: ipmitool
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- lsb-base
+ lsb-base (>= 3.0-6)
+Pre-Depends:
+ ${misc:Pre-Depends}
 Recommends: openipmi
 Description: utility for IPMI control with kernel driver or LAN interface (daemon)
  A utility for managing and configuring devices that support the
