=== debian/tests/control ===
# smoke test
Test-Command: ipmitool -V
Depends: ipmitool
Restrictions: superficial
