## ipmitool 1.8.18.1

=== debian/changelog ===
ipmitool (1.8.18.1-1+security) unstable; urgency=medium

  * update

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 16 Apr 2021 16:51:54 +0800
