## ipmitool 1.8.19

=== debian/changelog ===
ipmitool (1.8.19-9ubuntu2) questing; urgency=medium

  * debian/tests/vbmc-qemu-vm-session.xml: Fix impitool tests
    (LP: #2120703)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 18 Aug 2025 11:32:11 +0200

ipmitool (1.8.19-9ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110441). Remaining changes:
    - d/p/selsdr-fix-SEL-cannot-display-sensor-name-when-owner-lun1.patch:
      Fix SEL cannot display Sensor name (LP #2076173)
    - d/p/fix-date-time-output-of-timestamps.patch: Fix showing date twice,
      instead of date and hour (LP #2107550)

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 29 May 2025 15:32:22 -0400

ipmitool (1.8.19-9) unstable; urgency=medium

  * debian/control: 
    - Remove anacron and wget from Depends (Closes: #1101149).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 24 Mar 2025 08:08:38 +0100

ipmitool (1.8.19-8) unstable; urgency=medium

  * New debian/patches/0130-chassis_bootparam.patch (Closes: #1099886).
  * Remove unused patches:
    - patches/0120-Fix_Unsupported_Parameter_lookup.patch
    - patches/0125-Do_not_require_IANA_PEN_registry_file.patch
  * Declare compliance with Debian Policy 4.7.2 (No changes needed).
  * debian/control:
    - Change Vcs-Git from git: to https:.
  * debian/copyright:
    - Add year 2025 to myself.
    - Rewrite to make lrc happy.
  * Install debian/enterprise-numbers.txt to /usr/share/misc/ and
    don't install cron-job.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 23 Mar 2025 16:47:47 +0100

ipmitool (1.8.19-7.1ubuntu2) questing; urgency=medium

  * d/p/fix-date-time-output-of-timestamps.patch: fix showing date twice,
    instead of date and hour (LP: #2107550)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 15 May 2025 11:28:24 +0200

ipmitool (1.8.19-7.1ubuntu1) questing; urgency=medium

  * d/patches: Apply sauce patch not addressed by upstream
    + sel/sdr : Fix SEL cannot display Sensor name (lp: #2076173)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Wed, 30 Apr 2025 15:43:00 -0500

ipmitool (1.8.19-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches: backport several important fixes from upstream
    + fix a buffer overrun in `open` interface
    + fix lan print fails on unsupported parameters (closes: #1061770)
    + fix parameter passed to read temperature sensors
    + fix using hex values when sending raw data (closes: #1082101)
  * Some build tweaks:
    + add patch to enable verbose output from libtool
    + d/rules: run autoupdate before autoreconf
  * d/control: bump std-ver to 4.7.0 (no changes required)
 
 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 27 Oct 2024 23:57:07 +0800

ipmitool (1.8.19-7) unstable; urgency=medium

  * debian/watch, debian/copyright, debian.control:
    - Change URLs to the new homepage codeberg.org.
  * New debian/patches/0625-manpage_wrong_time_set.patch:
    - Fix wrong description of "sel time set" (Closes: #1058711).
  * debian/changelog:
    - Add Upstream-Contact.
    - Change Duncan Laurie email.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 17 Dec 2023 12:29:04 +0100

ipmitool (1.8.19-6) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    - Change to new repository URL.
  * debian/rules:
    - Add tag get_e-numbers to download a new enterprise-numbers.txt.
  * debian/enterprise-numbers.txt:
    - Download a new version.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 20 Jun 2023 20:05:22 +0200

ipmitool (1.8.19-5) experimental; urgency=medium

  * Add dep8 tests (Closes: #1032321):
    - d/t/smoke: Add a smoke dep-8 test to confirm ipmitool installs.
    - d/t/qemuvbmc: Add a qemu + virtualbmc dep-8 test for ipmitool.
    - d/t/vbmc-qemu-vm-session.xml: define the qemu vm for qemuvbmc.
      Thanks to Michal Maloszewski <michal.maloszewski@canonical.com>
  * Declare compliance with Debian Policy 4.6.2.0 (No changes needed).
  * debian/control:
    - Remove obsolete Depend lsb-base.
  * debian/ipmitool.install:
    - Install missing enterprise-numbers.txt.
  * debian/changelog:
    - Add year 2023 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 12 Mar 2023 11:35:15 +0100

ipmitool (1.8.19-4) unstable; urgency=medium

  * debian/patches/0110-unpdate_IANA_URL.patch:
    - Fix file name on man page (Closes: #1023312).
  * New debian/NEWS about the changed download link.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 30 Dec 2022 10:07:51 +0100

ipmitool (1.8.19-3) unstable; urgency=medium

  * debian/patches/0110-unpdate_IANA_URL.patch:
    - Fix file name for local IANA PEN database (Closes: #1023312).
      Thanks to Elimar Riesebieter <riesebie@lxtec.de>.
  * New debian/patches/0115-hurd_PATH_MAX.patch:
    - Add missing PATH_MAX for hurd-i386.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 26 Dec 2022 10:44:29 +0100

ipmitool (1.8.19-2) unstable; urgency=medium

  * New debian/patches/0110-unpdate_IANA_URL.patch (Closes: #1023312):
    - Fix IANA url.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 25 Dec 2022 14:32:31 +0100

ipmitool (1.8.19-1) unstable; urgency=medium

  * New upstrem release.
    - New debian/patches/0700-build.patch.
    - New debian/patches/0620-manpage_typo.patch.
  * Remove longer not needed patches.
  * Declare compliance with Debian Policy 4.6.1.0 (No changes needed).
  * debian/copyright:
    - Add year 2022 to myself.
  * New debian/patches/0105-sensor_reading.patch (Closes: #983082):
    - Fix sensor reading for non-analog sensors.
  * New debian/README.Debian with the explanation how to change the
      start parameters (Closes: #1002013).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 29 Oct 2022 21:38:16 +0200

ipmitool (1.8.18-11) unstable; urgency=medium

  * Remove useless debian/ipmitool.lintian-overrides.
  * Declare compliance with Debian Policy 4.6.0.0 (No changes needed).
  * Remove useless DEP 8 Smoketest.
  * debian/copyright:
    - Add year 2021 to debian/*.

