=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ipmitool
 Section: utils
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper-compat (= 13),
  init-system-helpers (>= 1.58),
@@ -9,18 +10,17 @@
  libfreeipmi-dev [!hurd-i386],
  libreadline-dev,
  libssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: git://jff.email/opt/git/ipmitool.git
-Vcs-Browser: https://jff.email/cgit/ipmitool.git
-Homepage: https://github.com/ipmitool/ipmitool
+Vcs-Git: https://git.jff.email/cgit/ipmitool.git
+Vcs-Browser: https://git.jff.email/cgit/ipmitool.git
+Homepage: https://codeberg.org/IPMITool/ipmitool
 
 Package: ipmitool
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends},
- lsb-base (>= 3.0-6)
+ ${shlibs:Depends}
 Pre-Depends:
  ${misc:Pre-Depends}
 Recommends: openipmi
