=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/quilt/quilt.make

#export DH_VERBOSE=1
export DH_OPTIONS

#
# Hardening
#
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Platform-specific features
DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	# USB implementation is Linux-specific
	extra_config_opts += --enable-intf-usb
else
	extra_config_opts += --disable-intf-usb
endif

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# No need to have two copies of the license text/changelog in the package.
	$(RM) $(CURDIR)/debian/ipmitool/usr/share/doc/ipmitool/COPYING
	$(RM) $(CURDIR)/debian/ipmitool/usr/share/doc/ipmitool/ChangeLog

override_dh_installsystemd:
	dh_installsystemd --no-enable --name ipmievd

override_dh_autoreconf:
	autoupdate
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-kerneldir --mandir=/usr/share/man --enable-intf-dummy $(extra_config_opts)

override_dh_installinit:
	dh_installinit --no-enable --name ipmievd --error-handler=ipmievd_initd_failed

get_e-numbers:
	wget -O debian/enterprise-numbers.txt https://www.iana.org/assignments/enterprise-numbers.txt
